Page 2 of 2 FirstFirst 12
Results 11 to 18 of 18

Thread: nvidia-*04 in https://download.nvidia.com/ repo not working with Kernel 5.3.18-lp152.36-default

  1. #11
    Join Date
    Oct 2014
    Location
    Switzerland
    Posts
    745

    Default Re: nvidia-*04 in https://download.nvidia.com/ repo not working with Kernel 5.3.18-lp152.36-default

    Quote Originally Posted by malcolmlewis View Post
    I just did, it looks quite promising. I just want to go through the struggles of installing a stable cuda+nvidia drivers+codecs package, and I'll probably write some instructions similar to https://forums.opensuse.org/showthre...75#post2957575 and try to write a macro to reproduce it at every kernel update.

  2. #12
    Join Date
    Oct 2014
    Location
    Switzerland
    Posts
    745

    Default Re: nvidia-*04 in https://download.nvidia.com/ repo not working with Kernel 5.3.18-lp152.36-default

    After September 1st update for the Nvidia driver, neither G05/G04 works on the LEAP 15.2's kernel 5.3.18.

    I have to ask... Is the kernel/Nvidia driver repository maintenance going to be like this for the duration of LEAP 15.2's lifetime? I mean, LEAP 15.1 still works fine, and it had "hiccups" which normally last less than a week. It seems like I will have to maintain my own drivers if this continues.

  3. #13
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    4,870

    Default AW: Re: nvidia-*04 in https://download.nvidia.com/ repo not working with Kernel 5.3.18-lp152.36-defa

    Quote Originally Posted by SJLPHI View Post
    After September 1st update for the Nvidia driver, neither G05/G04 works on the LEAP 15.2's kernel 5.3.18.

    I have to ask... Is the kernel/Nvidia driver repository maintenance going to be like this for the duration of LEAP 15.2's lifetime? I mean, LEAP 15.1 still works fine, and it had "hiccups" which normally last less than a week. It seems like I will have to maintain my own drivers if this continues.
    Do you write a bugreport?

  4. #14

    Default Re: nvidia-*04 in https://download.nvidia.com/ repo not working with Kernel 5.3.18-lp152.36-default

    There were summer vacations, folks...

  5. #15
    Join Date
    Oct 2014
    Location
    Switzerland
    Posts
    745

    Default Re: AW: Re: nvidia-*04 in https://download.nvidia.com/ repo not working with Kernel 5.3.18-lp152.36-

    Quote Originally Posted by Sauerland View Post
    Do you write a bugreport?
    There seems to have been a quick patch and G05 works again but G04 is still not working... Anyone with different outcome?

  6. #16
    Join Date
    Oct 2014
    Location
    Switzerland
    Posts
    745

    Default Re: nvidia-*04 in https://download.nvidia.com/ repo not working with Kernel 5.3.18-lp152.36-default

    Quote Originally Posted by Svyatko View Post
    There were summer vacations, folks...
    I understand, but it's just a bit weird because based on the posts in this particular forum, there has been issues weekly with Nvidia and LEAP 15.2 pretty much since release. I can understand this from TW, but not on LEAP.

  7. #17
    Join Date
    Oct 2014
    Location
    Switzerland
    Posts
    745

    Default Re: nvidia-*04 in https://download.nvidia.com/ repo not working with Kernel 5.3.18-lp152.36-default

    New bug... It looks like the latest repository Gfx05 was made with OpenGL/OpenCL that is not compatible with the latest LEAP 15.2 kernel...

    Code:
    
    X Error of failed request:  BadValue (integer parameter out of range for operation)
      Major opcode of failed request:  151 (GLX)
      Minor opcode of failed request:  24 (X_GLXCreateNewContext)
      Value in failed request:  0x0
      Serial number of failed request:  29
      Current serial number in output stream:  30
    

  8. #18
    Join Date
    Oct 2014
    Location
    Switzerland
    Posts
    745

    Default Re: nvidia-*04 in https://download.nvidia.com/ repo not working with Kernel 5.3.18-lp152.36-default

    Quote Originally Posted by SJLPHI View Post
    New bug... It looks like the latest repository Gfx05 was made with OpenGL/OpenCL that is not compatible with the latest LEAP 15.2 kernel...

    Code:
    
    X Error of failed request:  BadValue (integer parameter out of range for operation)
      Major opcode of failed request:  151 (GLX)
      Minor opcode of failed request:  24 (X_GLXCreateNewContext)
      Value in failed request:  0x0
      Serial number of failed request:  29
      Current serial number in output stream:  30
    
    This turns out to be likely due to some permission issues related to bumblebee, for some odd reason, no problem running things off Nvidia card as root, but as a user... resetting permission didn't quite work... but I will keep that off of this thread.

Page 2 of 2 FirstFirst 12

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •